com.smartgwt.client.util.workflow

## Class StartProcessTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.Task
      - - com.smartgwt.client.util.workflow.ScriptTask
        - - com.smartgwt.client.util.workflow.StartProcessTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class StartProcessTask
      extends ScriptTask

  Task that executes another `Process` inside the current one. A process cannot be embedded within another process as a normal task element. Instead, a StartProcessTask is used to provide the input state, execute the inner process, then write the output back into the calling process state.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartProcessTask()`
    `StartProcessTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `static StartProcessTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `Process` | `getProcess()` The `Process` to be run by this task.
    `java.lang.String` | `getProcessAsString()` The `Process` to be run by this task.
    `StartProcessTask` | `setProcess(Process process)` The `Process` to be run by this task.
    `StartProcessTask` | `setProcess(java.lang.String process)` The `Process` to be run by this task.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ScriptTask

      `execute, getInputData, getInputRecord, getIsAsync, getPassThruOutput, onInit_ScriptTask, onInit, setIsAsync, setOutputData, setOutputRecord, setPassThruOutput`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.Task

      `getInputField, getInputFieldList, getOutputExpression, getOutputField, getOutputFieldList, setInputField, setInputFieldList, setOutputExpression, setOutputField, setOutputFieldList`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartProcessTask

          public StartProcessTask()

    - #### StartProcessTask

          public StartProcessTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static StartProcessTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ScriptTask`

    - #### setProcess

          public StartProcessTask setProcess(Process process)

      The `Process` to be run by this task. Input state is created from `inputFieldList` and container process state is updated from the inner process state using `outputFieldList`.

      This property can be an instance of the target process or an ID. For an ID, the process will be looked up in your screen if this task is part of one and, otherwise, it will be looked up globally via `Process.getProcess()`.

      Parameters:
        `process` - New process value. Default value is null
      Returns:
        `StartProcessTask` instance, for chaining setter calls

    - #### getProcess

          public Process getProcess()

      The `Process` to be run by this task. Input state is created from `inputFieldList` and container process state is updated from the inner process state using `outputFieldList`.

      This property can be an instance of the target process or an ID. For an ID, the process will be looked up in your screen if this task is part of one and, otherwise, it will be looked up globally via `Process.getProcess()`.

      Overrides:
        `getProcess` in class `ScriptTask`
      Returns:
        Current process value. Default value is null

    - #### setProcess

          public StartProcessTask setProcess(java.lang.String process)

      The `Process` to be run by this task. Input state is created from `inputFieldList` and container process state is updated from the inner process state using `outputFieldList`.

      This property can be an instance of the target process or an ID. For an ID, the process will be looked up in your screen if this task is part of one and, otherwise, it will be looked up globally via `Process.getProcess()`.

      Parameters:
        `process` - New process value. Default value is null
      Returns:
        `StartProcessTask` instance, for chaining setter calls

    - #### getProcessAsString

          public java.lang.String getProcessAsString()

      The `Process` to be run by this task. Input state is created from `inputFieldList` and container process state is updated from the inner process state using `outputFieldList`.

      This property can be an instance of the target process or an ID. For an ID, the process will be looked up in your screen if this task is part of one and, otherwise, it will be looked up globally via `Process.getProcess()`.

      Returns:
        Current process value. Default value is null